Get IP Address Blacklist Incident
curl --request GET \
--url https://api.eflow.team/v1/networks/traffic/blacklistincidents/ipaddresses/{blacklistIncidentIdentifier} \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/traffic/blacklistincidents/ipaddresses/{blacklistIncidentIdentifier}"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/traffic/blacklistincidents/ipaddresses/{blacklistIncidentIdentifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network_id": 1,
"ip_address": "203.0.113.44",
"ip_address_id": 5,
"identifier": "BL9Q2X7K4ZP1",
"status": "active",
"provider": "hetrix_tools",
"vendor": "pbl.spamhaus.org",
"time_created": 1775957980,
"time_saved": 1782437980,
"time_last_observed": 1782437980,
"time_resolved": 0,
"relationship": {
"vendor": {
"provider": "Hetrix",
"category": "IP Blocklist",
"name": "Spamhaus PBL (pbl.spamhaus.org)",
"identifier": "pbl.spamhaus.org",
"impact_level": "high"
},
"ip_address": {
"ip_address_id": 5,
"ip_address": "203.0.113.44",
"ip_version": "ipv4",
"is_external": false
},
"delist_url": "https://check.spamhaus.org/results/?query=203.0.113.44"
}
}Traffic Health
Get IP Address Blacklist Incident
Traffic Health Premium. A single hosting-IP blocklist incident by its identifier — provider and vendor, status, the IP address it affects, the vendor’s listing details, and a delist URL where available. Requires has_blacklist_monitoring.
GET
/
networks
/
traffic
/
blacklistincidents
/
ipaddresses
/
{blacklistIncidentIdentifier}
Get IP Address Blacklist Incident
Requires Traffic Health Premium (
has_blacklist_monitoring).Authorizations
Path Parameters
The IP blacklist incident identifier.
Was this page helpful?
⌘I
